idris-1.3.4: Functional Programming Language with Dependent Types

License | BSD3
Maintainer | The Idris Community.
Safe Haskell | None
Language | Haskell2010

IRTS.JavaScript.PrimOp

Description

# Documentation

type PrimF = [JsExpr] -> JsExpr #

type PrimDec = (Bool, JsPrimTy, PrimF) #

data JsPrimTy #

Constructors

PTBool |
PTAny |

#### Instances

Instances details

Eq JsPrimTy # |
Instance details Defined in IRTS.JavaScript.PrimOp Methods (==) :: JsPrimTy -> JsPrimTy -> Bool # (/=) :: JsPrimTy -> JsPrimTy -> Bool #
Ord JsPrimTy # |
Instance details Defined in IRTS.JavaScript.PrimOp Methods compare :: JsPrimTy -> JsPrimTy -> Ordering # (<) :: JsPrimTy -> JsPrimTy -> Bool # (<=) :: JsPrimTy -> JsPrimTy -> Bool # (>) :: JsPrimTy -> JsPrimTy -> Bool # (>=) :: JsPrimTy -> JsPrimTy -> Bool # max :: JsPrimTy -> JsPrimTy -> JsPrimTy # min :: JsPrimTy -> JsPrimTy -> JsPrimTy #

primDB :: Map PrimFn PrimDec #

jsPrimCoerce :: JsPrimTy -> JsPrimTy -> JsExpr -> JsExpr #